> For the complete documentation index, see [llms.txt](https://mtnpay.gitbook.io/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://mtnpay.gitbook.io/api-docs/mtnapi-overview/terminology.md).

# Terminology

## Account

*"A record in the Solana ledger that either holds data or is an executable program.*

*Like an account at a traditional bank, a Solana account may hold funds called* [*lamports*](https://docs.solana.com/terminology#lamport)*. Like a file in Linux, it is addressable by a key, often referred to as a* [*public key*](https://docs.solana.com/terminology#public-key-pubkey) *or pubkey."*

[Sourced](https://docs.solana.com/terminology) from Solana docs

## Base Unit Quantity

*Base unit quantity is the smallest unit of an SPL token. For example, a LAMPORT is the base unit quantity of a SOL.*

## Candy Machine

*"Candy Machine is a tool that utilizes the Metaplex CLI to generate an NFT, link a picture and relevant metadata to the NFT token, and setup a 'fair auction.'"*

[Source](https://www.quicknode.com/guides/web3-sdks/how-to-mint-an-nft-on-solana-using-candy-machine)

## Cluster

*"A set of* [*validators*](https://docs.solana.com/terminology#validator) *maintaining a single* [*ledger*](https://docs.solana.com/terminology#ledger)*."*

[Sourced](https://docs.solana.com/terminology) from Solana docs

## Jupiter Aggregator

*Swap aggregator and infrastructure provider on the Solana blockchain*

Jupiter Aggregator [docs](https://docs.jup.ag/)

## Lamport

*The smallest fractional unit of SOL with a value of 0.000000001 SOL.*

[Source](https://docs.solana.com/terminology#sol)

## Metaplex

*"Metaplex is a Solana-powered protocol that allows for the creation and minting of non-fungible tokens, auctions, and visualizing NFTs in a standard way across wallets and applications, comprised of two core components: an on-chain program, and a self-hosted front-end web2 application."*

[Sourced](https://solana.com/ecosystem/metaplex) from Solana ecosystem website

## Non-Fungible Token (NFT)

NFTs are unique and scarce tokens that exist on blockchains. Each individual NFT is distinct from another and can only have one owner at a time. (Ex. Insurance policy of a specific house)

## Solana

*Solana is a decentralized blockchain built to enable scalable and user-friendly applications.*

## Solana Pay

*"Solana Pay is a new, open, and free-to-use payments framework built on Solana."*

[Sourced](https://solanapay.com/) from Solana Pay website

## Semi-Fungible Token (SFT)

*"An SFT is a type of SPL token with a supply greater than 1 but which has typical NFT attributes such as an image and an attributes array in the JSON metadata."*

[Sourced](https://docs.metaplex.com/token-metadata/specification) from Metaplex docs

## Stable Coin

*"Stablecoins are cryptocurrencies that attempt to peg their market value to some external reference. Stablecoins achieve their price stability via collateralization (backing) or through algorithmic mechanisms of buying and selling the reference asset or its derivatives."*

[Sourced](https://www.investopedia.com/terms/s/stablecoin.asp) from Investopedia

## Transaction Request URL

*"Transaction Request URLs are data strings used to request, query, and build specific Solana transactions."*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://mtnpay.gitbook.io/api-docs/mtnapi-overview/terminology.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
